![](manual/res/readuct_logo.png)

## Introduction

SCINE ReaDuct is a command-line tool that allows to carry out

- single point calculations,
- Hessian calculations,
- structure optimizations,
- transition state searches,
- intrinsic reaction coordinate (IRC) calculations, and
- artificial force induced reaction (AFIR) calculations.

For these calculations, it relies on a backend program to provide the necessary
quantum chemical properties (such as nuclear gradients). Currently, SCINE Sparrow
ORCA, and Gaussian are supported as backend programs.


## License and Copyright Information

ReaDuct is distributed under the BSD 3-clause "New" or "Revised" License.
For more license and copyright information, see the file `LICENSE.txt` in the
repository.


## Installation and Usage

For instructions on how to install and use ReaDuct as well as for a detailed
documentation of the entire functionality of ReaDuct, please consult the user
manual found in the `manual` directory in in the repository.
Alternatively the manual can also be found on the official GitHub website,
on the SCINE website and in the hosted documentation.


## How to Cite

When publishing results obtained with ReaDuct, please cite the corresponding
release as archived on [Zenodo](https://zenodo.org/record/3244107) (DOI
10.5281/zenodo.3244107; please use the DOI of the respective release).

In addition, we kindly request you to cite the following article when using ReaDuct:

A. C. Vaucher, M. Reiher, "Minimum Energy Paths and Transition States by Curve
Optimization", J. Chem. Theory Comput., 2018, 16, 3091.


## Support and Contact

In case you should encounter problems or bugs, please write a short message
to scine@phys.chem.ethz.ch.
